Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Mary Abilong applied on Indeed
From: "Mary Abilong" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Tue, 18 Oct 2022 03:55:29 -0500 (CDT)

Hi Deeksha, I received your email and I would to informed you that I am available for the interview on October 20th, 2022 at 3:50 P.M MNL Time. Thank you! Best Regards, Mary Ann

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3C0100c60c-7c85-4c6c-b3de-54f1465be20f%40indeedemail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.